@import  'abstracts/_mixins'
@import  'abstracts/_variables'

.stepper-container
  +flex(center, center)
  width: 100%
  .content
    +flex(center, space-between)
    width: 300px
    .step
      +flex(center, center)
      position: relative
      cursor: pointer
      width: 100px
      height: 40px
      border-radius: 50px
      border: 1px solid var(--gray-4)
      span
        color: var(--black)
        font-size: var(--fs-s)
      &:nth-child(1)
        &::after
          content: ''
          position: absolute
          width: 100px
          height: 0.5em
          right: -99px
          top: 18px
          border-top: 1px solid var(--red-1)
          z-index: 25
      &.active
        border: none
        background: -webkit-linear-gradient(to right, #ff4e3c, #ff3f39)
        background: linear-gradient(to right, #ff4e3c, #ff3f39)
        span
          color: var(--white)
        